Subject: bug#61704: 29.0.60; Crash in get_narrowed_begv

From: martin rudalics <[email-masked]>
Date: Thu, 23 Feb 2023 10:46:56 +0100

>> So OT1H we really should set proper minimum size hints for the WM to
 >> avoid that resize_frame_windows has to deal with frame sizes it
 >> intrinsically cannot handle
 >
 > Now this is not possible, as the window manager (or any X client, for
 > that matter) has free reign to do whatever it wants with another
 > client's window.  Unless of course X server security policy prevents it.

If a window manager ignores our size hints, a user is free to choose one
which doesn't.  xfwm here respectfully honors the size hints it gets
from Firefox or Thunderbird.  Windows respects minimum size constraints
just as well, BTW.

martin